/*
 * @Author: yincheng
 * @Date: 2021-12-21 15:29:01
 * @LastEditors: yincheng
 * @LastEditTime: 2021-12-24 09:46:25
 */
const fs = require('fs')

module.exports = api => {
  return {
    addService(config) {
      const configPath = api.resolve('./mf.services.json')
      if (fs.existsSync(configPath)) {
        const services = JSON.parse(fs.readFileSync(configPath, { encoding: 'utf8' }))
        services.push(config)
        fs.writeFileSync(
          configPath,
          JSON.stringify(services, null, 2),
          { encoding: 'utf8' }
        )
      } else {
        throw new Error('mf.services.json not found')
      }
    },
    addServiceRouter(config) {
      const routerPath = api.resolve('./src/router/remotes.js')
      if (fs.existsSync(routerPath)) {
        const router = fs.readFileSync(routerPath, { encoding: 'utf8' }).split('\n')
        router.splice(router.length - 2, 0, 'test')
        fs.writeFileSync(routerPath, router.join('\n'), 'utf8')
      } else {
        throw new Error('router/remotes.js not found')
      }
    }
  }
}
